22720104 puppet needs to work around pkgmogrify issue for FOSS eval builds
authorJohn Beck <John.Beck@Oracle.COM>
Thu, 11 Feb 2016 14:03:19 -0800
changeset 5442 f02b645d5dcb
parent 5439 a006e5bb8577
child 5443 51abc0fb79b7
22720104 puppet needs to work around pkgmogrify issue for FOSS eval builds
components/ruby/puppet/Makefile
components/ruby/puppet/puppet.p5m
--- a/components/ruby/puppet/Makefile	Thu Feb 11 03:25:16 2016 -0800
+++ b/components/ruby/puppet/Makefile	Thu Feb 11 14:03:19 2016 -0800
@@ -70,6 +70,8 @@
 
 ASLR_MODE = $(ASLR_NOT_APPLICABLE)
 
+PKG_OPTIONS +=	-I $(BUILD_DIR)
+
 # common targets
 build::		$(BUILD_64)
 
--- a/components/ruby/puppet/puppet.p5m	Thu Feb 11 03:25:16 2016 -0800
+++ b/components/ruby/puppet/puppet.p5m	Thu Feb 11 14:03:19 2016 -0800
@@ -27,7 +27,7 @@
 # .py files as it installs
 <transform file path=usr/ruby/$(RUBY_VERSION)/lib/ruby/vendor_ruby/$(RUBY_LIB_VERSION)/puppet/provider/package/.*\.py$ -> default pkg.tmp.autopyc false>
 <transform file path=usr.*/man/.+ -> default mangler.man.stability volatile>
-<include build/puppet-modules.depend>
+<include puppet-modules.depend>
 set name=pkg.fmri \
     value=pkg:/system/management/[email protected]$(IPS_COMPONENT_VERSION),$(BUILD_VERSION)
 set name=pkg.summary value="Puppet - configuration management toolkit"